Page MenuHomePhabricator

conduit api method for creating comments
Closed, DeclinedPublic

Description

the maniphest.update method doesn't return a phid for created comments. We need a way to store the comment ids so that we can associate them later. @chasemp requested that I look into making an api method that returns phids.

Event Timeline

mmodell created this task.Oct 11 2014, 9:02 PM
mmodell claimed this task.
mmodell raised the priority of this task from to High.
mmodell updated the task description. (Show Details)
mmodell added a project: Phabricator.
mmodell changed Security from none to None.
mmodell added a subscriber: chasemp.
Qgil added a subscriber: Qgil.Oct 11 2014, 9:27 PM

Thank you for working on this. It sounds like this task should be listed under Bugzilla-Migration. Is it a blocker for T259: Bugzilla to Maniphest import script (tracking)?

@chasemp: now it's a tested prototype. returns the phid of the transaction as well as the phid of the comment.

Sweet, will try on tuesday

Qgil moved this task from Backlog to Doing on the Bugzilla-Migration board.Oct 12 2014, 8:50 PM
mmodell lowered the priority of this task from High to Medium.Oct 14 2014, 12:01 AM

@chasemp can I close this one as resolved?

my comment there, don't want to merge into master?

Qgil closed this task as Resolved.Oct 25 2014, 7:37 AM
Mattflaschen-WMF reopened this task as Open.Nov 5 2014, 7:38 PM

This is not merged yet.

Qgil added a comment.Nov 6 2014, 9:50 AM

I'm not sure what happened here and how this task should be resolved. The fact is that the script is creating comments perfectly, so this task is not really an open task anymore.

mmodell closed this task as Declined.Nov 10 2014, 8:25 PM

patch abandoned.